fop 1.1

## org.apache.fop.datatypes
Interface PercentBase

All Known Implementing Classes:
  LengthBase

    public interface PercentBase

Interface for objects that can be used as base objects for percentage computations

Method Summary
`int` `getBaseLength(PercentBaseContext context)`
`double` `getBaseValue()`
`int` `getDimension()` Determines whether a numeric property is created or one with a percentage base.

Method Detail

### getDimension

    int getDimension()

  Determines whether a numeric property is created or one with a percentage base.

  Returns:
    0 for length, 1 for percentage

### getBaseValue

    double getBaseValue()

  Returns:
    the base value (this will be used as the base to which a percentage will be applied to compute the length of the referencing item)

### getBaseLength

    int getBaseLength(PercentBaseContext context)
                      throws PropertyException

  Parameters:
    `context` - The context for percentage evaluation
  Returns:
    the integer size in millipoints of the object (this will be used as the base to which a percentage will be applied to compute the length of the referencing item)
  Throws:
    `PropertyException` - if a problem occurs during evaluation of this value.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.